## kdenetwork 4.6.5

=== debian/changelog ===
kdenetwork (4:4.6.5-3) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add libgadu_pthread_check.diff, fixes an FTBFS when building with
    libvncserver-dev supporting libgnutls.
  * Bump libvncserver-dev B-D to 0.9.8.1, this solves two problems:
    - libvncserver-dev now depends on libgnutls-dev, preventing an FTBFS.
    - fixes a binary compatibility issue. (see bug #644455)
  * Add protocols_namespaces.diff. Thanks to Ralf Jung for tracking down the
    issue and writing a significant part of the patch. (Closes: #644197)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 Oct 2011 12:55:24 -0300

kdenetwork (4:4.6.5-2) unstable; urgency=low

  * Confirm symbol files on Debian arches. Fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Sat, 23 Jul 2011 13:50:44 +0300

kdenetwork (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.5.
  * Update symbols files.

  [ Pino Toscano ]
  * Change libjpeg62-dev build-dependency to libjpeg-dev. (Closes: #633437)
  * Switch to my @debian.org address, I'm a DD now.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:58 +0300

kdenetwork (4:4.6.3-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.

  [ Modestas Vainius ]
  * Merge 4:4.4.5-2+squeeze1 upload to squeeze:
    - drop cve_2010_1000_directory_traversal.diff patch, applied upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:41:37 +0300

kdenetwork (4:4.6.3-0exp1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add patch no_home_set.diff to not fail the cmake step in kopete if no $HOME
    environment variable is set.

  [ José Manuel Santamaría Lema ]
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 07 May 2011 16:18:19 +0300

kdenetwork (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixes shift modifier key not working in krfb when pressed on remote
      keyboard (Closes: #595283)
    - removes KWallet timeout in kopete (Closes: #606949)
    - kopete does not disconnect anymore after several XMPP ping messages from
      Jabber server (Closes: #585007)
    - kopete uses the right category for ICQ disconnect messages
      (Closes: #588043)
  * Update installed files.
  * Update libkopete symbols file.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Remove all patches; applied upstream.
  * Bump build dependencies on kdelibs5-dev and
    kdepimlibs5-dev to version 4:4.6.
  * Drop libtelepathy-qt4-dev build-dependency, since it
    will cause trouble when libtelepathy-qt4 0.5 is uploaded
    in the archive and krdc/krfb telepathy support is not
    usable anyway without the rest of the telepathy components.

  [ José Manuel Santamaría Lema ]
  * Removed patch 03_kopete_icq_login_fix.diff, applied upstream.
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Bump build dependency on libkonq5-dev to 4:4.6.
  * Bump S-V to 3.9.1; add Breaks next to Replaces where needed.
  * Add build dependencies:
    - libjasper-dev
  * Update lintian overrides.
  * Add myself to Uploaders.

  [ Pino Toscano ]
  * Add build dependencies:
    - libkonq5-dev
    - kdebase-workspace-dev
  * Remove unused build dependencies:
    - libgmp3-dev
    - libkwebkit-dev
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
    - list of linux architectures -> linux-any
  * Remove libjasper-runtime recommend from kopete, as now it uses the jasper
    library directly.
  * Clean up Replaces/Breaks from the pre-squeeze era whenever possible.

  [ Modestas Vainius ]
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Require libktorrent-dev 1.1.
  * Move KDE SC Build-Depends to the beginning of the line.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:42 +0300
