=== kopete/styles/Hacker/Contents/Resources/Variants/CMakeLists.txt ===

########### install files ###############

install( FILES Dark2.css Dark.css Light2.css Light.css Dark2-Noback.css Dark-Noback.css Light2-Noback.css Light-Noback.css  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Hacker/Contents/Resources/Variants)
