=== debian/changelog ===
kdenetwork (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Add kubuntu_05_samba_install.diff for installing samba with qapt-batch.
    This was accidentally dropped since this functionality was part of the
    larger samba patch that was marked as upstream. (And the QApt-Batch
    change isn't upstream.)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 28 Sep 2011 19:46:41 -0400

kdenetwork (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:34:11 +0200

kdenetwork (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 22:13:25 +0200

kdenetwork (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Drop kubuntu_05_make_old_symbols_reappear_and_fix_building.diff,
      applied on upstream
    - Bump kde-sc-dev-lastest to 4:4.7.0

 -- Romain Perier <romain.perier@gmail.com>  Fri, 29 Jul 2011 10:30:45 +0200

kdenetwork (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
   - Bump on kde-sc-dev-latest
   - s/kdebase-runtime-dev/kde-runtime-dev
  * Dropped kubuntu_05_samba_sharing.diff <- went upstream
  * Added kubuntu_05_make_old_symbols_reappear_and_fix_building.diff
  * Refreshed *.install
  * Refreshed symbols

  [ Philip Muškovac ]
  * fix debug package depends on kdebase-runtime-dbg -> kde-runtime-dbg 
    and recommends on kde-workspace-dbg

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 10 Jul 2011 12:36:35 +0200

kdenetwork (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * Merge with Debian unstable, remaining changes:
    - debian/control:
      - Build against libboost1.46-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - Drop from build-deps: libmediastreamer-dev, libortp-dev (in universe)
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

  [ Tarun Kumar Mall ]
  * Removed patch kubuntu_08_kget_metalinker.diff, applied upstream

  [ Jonathan Thomas ]
  * Update kubuntu_05_samba_sharing.diff to use qapt-batch to install
    samba, now that it has replaced PackageKit in Kubuntu.
  * Make kdenetwork-filesharing recommend qapt-batch

  [ Felix Geyer ]
  * Drop kubuntu_07_kopete_libjasper_optional.diff, not needed anymore.

 -- Romain Perier <romain.perier@gmail.com>  Thu, 02 Jun 2011 22:31:33 +0200
