=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kdenetwork
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6.90), kdepimlibs5-dev (>= 4:4.6.90), libkonq5-dev (>= 4:4.6.90),
- kde-workspace-dev,
- zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
+ kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), libkonq5-dev (>= 4:4.7),
+ kde-workspace-dev (>= 4:4.7),
+ zlib1g-dev, libjpeg-dev, libxml2-dev, libxslt1-dev, libssl-dev,
  libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
- libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
+ libvncserver-dev (>= 0.9.8.1), libqca2-dev (>= 2.0.0),
  libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
- libotr2-dev, libboost1.46-dev,
+ libotr2-dev, libboost-dev,
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
- libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
- libstreamanalyzer-dev, libgadu-dev,
+ libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
+ libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
  libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
- libexpat1-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev
+ libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
+ libmms-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdenetwork
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git
 
 Package: kdenetwork
 Architecture: all
@@ -47,7 +47,6 @@
 Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: qapt-batch
 Description: network filesharing configuration module
  This package provides a System Settings panel to configure network
  file-sharing using NFS and Samba.
@@ -84,8 +83,8 @@
 Package: kopete
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
 Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
