=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, 
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7), libkonq5-dev (>= 4:4.7),
  kde-workspace-dev (>= 4:4.7),
@@ -17,7 +17,7 @@
  libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1),
  libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [linux-any],
  libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev,
- libv4l-dev [linux-any], shared-desktop-ontologies, libgpgme11-dev,
+ libv4l-dev [linux-any], shared-desktop-ontologies (>= 0.8), libgpgme11-dev,
  libexpat-dev, libgif-dev, libktorrent-dev (>= 1.1), libjasper-dev,
  libmms-dev
 Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
