## kdenetwork 4.8.2

=== debian/changelog ===
kdenetwork (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - add new symbol to libkopete4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 22:13:16 +0200

kdenetwork (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 
    - drop no_home_set.diff - applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 22:40:36 +0100

kdenetwork (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:23 +0000

kdenetwork (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * debian/control: Bump kde-sc-dev-latest to 4.7.97

 -- Romain Perier <bambi@ubuntu.com>  Wed, 04 Jan 2012 21:13:03 +0100

kdenetwork (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 19:20:51 +0100

kdenetwork (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:51 +0000

kdenetwork (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian unstable, remaining changes:
    - debian/control:
      - Build against libboost1.46-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - Drop from build-deps: libmediastreamer-dev, libortp-dev (in universe)
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call
    - kdenetwork recommends qapt-batch
  * Remove libmms-dev Build-Depends, needs MIR
  * Disable Debian's patch protocols_namespaces.diff, does not apply, to be
    investigated
  * Remove mms files from kget.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:50 +0000

kdenetwork (4:4.7.2-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump build dependencies on other KDE SC packages to 4:4.7.
  * Add libmms-dev to Build-Depends.
  * Add ${perl:Depends} to kopete Depends.
  * Update installed files.
  * Update symbols files.
  * Refresh patches.
  * Manage package renames:
    - Build depend on kde-workspace-dev instead of kdebase-workspace-dev.
    - kdenetwork-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
    - kdenetwork-dbg recommends kde-workspace-dbg instead of
      kdebase-workspace-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 20 Oct 2011 12:55:24 -0300

kdenetwork (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 10:14:08 +0200
